<?php
################################################################################
### This disclaimer must be kept intact in order to use this product.        ###
################################################################################
### Project: jT CarFramework [http://intersofts.com]
### Author: J. Toshio Taniguchi
### Since: 27.04.2011
### Version: 1.0.0
### Copyrights: J. Toshio Taniguchi
### Contact: j.taniguchi@taniguchi-blog.com
################################################################################
### CONTRIBUTORS
### - none
################################################################################
class admincompany {
    private $lang;
    private $form_message;
    private $form_status;
    private $form_style;
    private $company_list;
    
    /**
     * Constructor
     * <br>---------------------------------------------------------------------
     */
    public function admincompany($lang=array()){
        $this->lang = $lang;
        
        // handle upload logo form.
        if( isset($_POST['uploadbtn']) ){
            $this->handleUploadLogoForm();
        }
        
        // handle upload favicon.
        if( isset($_POST['favbtn']) ){
            $this->handleUploadFaviconForm();
        }
        
        // handle company details form.
        if( isset($_POST['companybtn']) ){
            $this->handleCompanyForm();
        }
        
        // handle front page about form.
        if( isset($_POST['aboutbtn']) ){
            $this->handleAboutForm();
        }
        
        // handle update image front page.
        if( isset($_POST['frontpicbtn']) ){
            $this->handleImageForm();
        }
        
        // load company information.
        $this->loadCompanyInfo();
    }
    
    /**
     * Private method: update front page image form
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function handleImageForm(){
        $fname = $_FILES['frontpicInput']['name'];
        $size  = $_FILES['frontpicInput']['size'];
        
        if( $size < 1 ){
            $this->form_message = $this->lang['COMPANY_PIC_INVALID_SIZE'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        $ext = explode('.',$fname);
        $ext = $ext[(count($ext)-1)];
        $ext = strtolower($ext);
        
        switch($ext){
            case 'jpg':
            case 'png':
            case 'gif':
                break;
            default :
                $this->form_message = $this->lang['COMPANY_PIC_INVALID_FORMAT'];
                $this->form_status = true;
                $this->form_style = 'alert-error';
                return;
        }
        
        // upload image.
        $fname = date('Ymd') . '_' . date('His') . '_' . mt_rand('0000000', '9999999') . '.' . $ext;
        $path = BASE_ROOT . 'image/upload/';
        
        if( !@move_uploaded_file($_FILES['frontpicInput']['tmp_name'], $path.$fname) ){
            require_once BASE_CLASS . 'class-log.php';
            LogReport::write('Unable to upload front page photo at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_PIC_UPLOAD_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            return;
        }
        
        $pic = 'image/upload/' . $fname;
        
        // update database.
        require_once BASE_CLASS . 'class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        if( !@mysql_query("UPDATE `company` SET `company_photo`='$pic'") ){
            $cnx->close();
            require_once BASE_CLASS . 'class-log.php';
            LogReport::write('Unable to upload front page photo due a query error at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_PIC_UPLOAD_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            @unlink($path.$fname);
            return;
        }
        
        // remove previous image.
        if( file_exists(BASE_ROOT . $_POST['oldInput']) ){
            @unlink(BASE_ROOT . $_POST['oldInput']);
        }
        
        $this->form_message = $this->lang['COMPANY_PIC_UPLOAD_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }
    
    /**
     * Private method: handle about form
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function handleAboutForm(){
        $html = trim($_POST['aboutInput']);
        $html = stripslashes($html);
        
        if( empty($html) ){
            $html = '';
        }
        
        // update database.
        require_once BASE_CLASS . 'class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        $html = @mysql_real_escape_string($html);
        
        if( !@mysql_query("UPDATE `company` SET `about_html`='$html'") ){
            $cnx->close();
            require_once BASE_CLASS . 'class-log.php';
            LogReport::write('Unable to update company data due a query error at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_ABOUT_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            return;
        }
        
        $cnx->close();
        $this->form_message = $this->lang['COMPANY_ABOUT_QUERY_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }
    
    /**
     * Private method: handle company information form
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function handleCompanyForm(){
        $company_name   = trim($_POST['companyInput']);
        $address        = trim($_POST['addressInput']);
        $city           = trim($_POST['cityInput']);
        $state          = trim($_POST['stateInput']);
        $zip            = trim($_POST['zipInput']);
        $country        = trim($_POST['countryInput']);
        $phone1         = trim($_POST['phone1Input']);
        $phone2         = trim($_POST['phone2Input']);
        $fax1           = trim($_POST['faxi1Input']);
        $fax2           = trim($_POST['faxi2Input']);
        $openHTML       = trim($_POST['openInput']);
        $googleHTML     = trim($_POST['mapInput']);
        $vat            = trim($_POST['vatInput']);
        $regNumber      = trim($_POST['regInput']);
        
        // strip slashes.
        $company_name   = stripslashes($company_name);
        $address        = stripslashes($address);
        $city           = stripslashes($city);
        $state          = stripslashes($state);
        $zip            = stripslashes($zip);
        $country        = stripslashes($country);
        $phone1         = stripslashes($phone1);
        $phone2         = stripslashes($phone2);
        $fax1           = stripslashes($fax1);
        $fax2           = stripslashes($fax2);
        $openHTML       = stripslashes($openHTML);
        $googleHTML     = stripslashes($googleHTML);
        $vat            = stripslashes($vat);
        $regNumber      = stripslashes($regNumber);
        
        // define default values.
        if( empty($company_name) ){
            $company_name = '';
        }
        if( empty($address) ){
            $address = '';
        }
        if( empty($city) ){
            $city = '';
        }
        if( empty($state) ){
            $state = '';
        }
        if( empty($zip) ){
            $zip = '';
        }
        if( empty($country) ){
            $country = '';
        }
        if( empty($phone1) ){
            $phone1 = '';
        }
        if( empty($phone2) ){
            $phone2 = '';
        }
        if( empty($fax1) ){
            $fax1 = '';
        }
        if( empty($fax2) ){
            $fax2 = '';
        }
        if( empty($openHTML) ){
            $openHTML = '';
        }
        if( empty($googleHTML) ){
            $googleHTML = '';
        }
        if( empty($vat) ){
            $vat = '';
        }
        if( empty($regNumber) ){
            $regNumber = '';
        }
        
        // update database.
        require_once BASE_CLASS . 'class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        $company_name   = @mysql_real_escape_string($company_name);
        $address        = @mysql_real_escape_string($address);
        $city           = @mysql_real_escape_string($city);
        $state          = @mysql_real_escape_string($state);
        $zip            = @mysql_real_escape_string($zip);
        $country        = @mysql_real_escape_string($country);
        $phone1         = @mysql_real_escape_string($phone1);
        $phone2         = @mysql_real_escape_string($phone2);
        $fax1           = @mysql_real_escape_string($fax1);
        $fax2           = @mysql_real_escape_string($fax2);
        $openHTML       = @mysql_real_escape_string($openHTML);
        $googleHTML     = @mysql_real_escape_string($googleHTML);
        $vat            = @mysql_real_escape_string($vat);
        $regNumber      = @mysql_real_escape_string($regNumber);
        
        if( !@mysql_query("UPDATE `company` SET `company_name`='$company_name',
                                                `address`='$address',
                                                `city`='$city',
                                                `state`='$state',
                                                `zip`='$zip',
                                                `country`='$country',
                                                `phone_1`='$phone1',
                                                `phone_2`='$phone2',
                                                `fax_1`='$fax1',
                                                `fax_2`='$fax2',
                                                `html_open_time`='$openHTML',
                                                `google_map`='$googleHTML',
                                                `vat_number`='$vat',
                                                `reg_number`='$regNumber'") ){
            $cnx->close();
            require_once BASE_CLASS . 'class-log.php';
            LogReport::write('Unable to update company data due a query error at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_UPDATE_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            return;
        }
        
        $cnx->close();
        $this->form_message = $this->lang['COMPANY_UPDATE_QUERY_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }
    
    /**
     * Private method: handle upload favicon form
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function handleUploadFaviconForm(){
        $fname = $_FILES['favInput']['name'];
        $size  = $_FILES['favInput']['size'];
        
         if( $size < 1 ){
            $this->form_message = $this->lang['COMPANY_FAVICON_INVALID_ICON'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        $ext = explode('.',$fname);
        $ext = $ext[(count($ext)-1)];
        $ext = strtolower($ext);
        
        switch($ext){
            case 'ico':
                break;
            default:
                $this->form_message = $this->lang['COMPANY_FAVICON_INVALID_FILE'];
                $this->form_status = true;
                $this->form_style = 'alert-error';
                return;
        }
        
        $dest = BASE_ROOT . 'favicon.ico';
        
        if( !@move_uploaded_file($_FILES['favInput']['tmp_name'], $dest) ){
            require_once BASE_CLASS . 'class-log.php';
            LogReport::write('Unable to upload favicon due an error at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_FAVICON_UPLOAD_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        $this->form_message = $this->lang['COMPANY_FAVICON_UPLOAD_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }

    /**
     * Private method: handle upload logo form
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function handleUploadLogoForm(){
        $fname = $_FILES['logoInput']['name'];
        $size  = $_FILES['logoInput']['size'];
        
        if( $size < 1 ){
            $this->form_message = $this->lang['COMPANY_UPLOAD_LOGO_INVALID_IMAGE'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        $ext = explode('.',$fname);
        $ext = $ext[(count($ext)-1)];
        $ext = strtolower($ext);
        
        switch($ext){
            case 'jpg':
            case 'gif':
            case 'png':
                break;
            default:
                $this->form_message = $this->lang['COMPANY_UPLOAD_INVALID_FORMAT'];
                $this->form_status = true;
                $this->form_style = 'alert-error';
                return;
        }
        
        $path = BASE_ROOT . 'image/';
        
        // if image is not png, convert it. else, just upload it.
        if( $ext != 'png' ){
            if( !$img = @imagepng(imagecreatefromstring(file_get_contents($_FILES['logoInput']['tmp_name'])), $path . 'logo.png') ){
                require_once BASE_CLASS . 'class-log.php';
                LogReport::write('Unable to create PNG image from uploaded file at ' . __FILE__ . ':' . __LINE__);
                $this->form_message = $this->lang['COMPANY_UPLOAD_ERROR'];
                $this->form_status = true;
                $this->form_style = 'alert-error';
                return;
            }
        } else {
            if( !@move_uploaded_file($_FILES['logoInput']['tmp_name'], $path.'logo.png') ){
                require_once BASE_CLASS . 'class-log.php';
                LogReport::write('Unable to upload file at ' . __FILE__ . ':' . __LINE__);
                $this->form_message = $this->lang['COMPANY_UPLOAD_ERROR'];
                $this->form_status = true;
                $this->form_style = 'alert-error';
                return;
            }
        }
        
        $this->form_message = $this->lang['COMPANY_UPLOAD_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }
    
    /**
     * Private method: load company information
     * <br>---------------------------------------------------------------------
     * @return void
     */
    private function loadCompanyInfo(){
        require_once BASE_CLASS . 'class-connect.php';
        
        $this->company_list = array();
        $cnx = new Connect();
        $cnx->open();
        
        if( !$sql = @mysql_query("SELECT * FROM `company` LIMIT 1;") ){
            require_once BASE_CLASS . 'class-log.php';
            $cnx->close();
            
            LogReport::write('Unable to load company information due a query error at ' . __FILE__ . ':' . __LINE__);
            $this->form_message = $this->lang['COMPANY_LOAD_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            $this->company_list = false;
            return;
        }
        
        if( @mysql_num_rows($sql) < 1 ){
            $cnx->close();
            return;
        }
        
        $r = @mysql_fetch_assoc($sql);
        @mysql_free_result($sql);
        
        $this->company_list['id']               = (int)$r['id'];
        $this->company_list['company_photo']    = $r['company_photo'];
        $this->company_list['company_name']     = stripslashes($r['company_name']);
        $this->company_list['address']          = stripslashes($r['address']);
        $this->company_list['city']             = stripslashes($r['city']);
        $this->company_list['state']            = stripslashes($r['state']);
        $this->company_list['zip']              = stripslashes($r['zip']);
        $this->company_list['country']          = stripslashes($r['country']);
        $this->company_list['phone_1']          = stripslashes($r['phone_1']);
        $this->company_list['phone_2']          = stripslashes($r['phone_2']);
        $this->company_list['fax_1']            = stripslashes($r['fax_1']);
        $this->company_list['fax_2']            = stripslashes($r['fax_2']);
        $this->company_list['html_open_time']   = stripslashes($r['html_open_time']);
        $this->company_list['google_map']       = stripslashes($r['google_map']);
        $this->company_list['vat_number']       = stripslashes($r['vat_number']);
        $this->company_list['reg_number']       = stripslashes($r['reg_number']);
        $this->company_list['terms_of_use']     = stripslashes($r['terms_of_use']);
        $this->company_list['about_html']       = stripslashes($r['about_html']);
        
        $cnx->close();
        return;
    }
    
    /**
     * Public method: get company information
     * <br>---------------------------------------------------------------------
     * @return array
     */
    public function getInfo(){
        return $this->company_list;
    }
    
    /**
     * Public method: get form status
     * <br>---------------------------------------------------------------------
     * @return bool.
     */
    public function getFormStatus()
    {
        return $this->form_status;
    }

    /**
     * Public method: get form message 
     * <br>---------------------------------------------------------------------
     * @return string.
     */
    public function getFormMessage()
    {
        return $this->form_message;
    }

    /**
     * Public method: get form style
     * <br>---------------------------------------------------------------------
     * @return string.
     */
    public function getFormStyle()
    {
        return $this->form_style;
    }
}